{
  pkgs,
  lib,
  config,
  ...
}:
with lib; {
  options.mods.clamav.enable = mkEnableOption "enables clamav";

  config = mkIf config.mods.clamav.enable {
    services.clamav = {
      scanner.enable = true;
      updater.enable = true;
      fangfrisch.enable = true;
      daemon.enable = true;
    };
  };
}
